Skip to navigation

Update a DNS record

Authentication

X-API-Client-IDstring
API Client ID
X-API-Client-Secretstring
API Client Secret

Path parameters

zoneIdstringRequired
DNS zone identifier
currentNamestringRequired

Current record hostname identifying the record to update (use @ for apex)

currentTypestringRequired

Current record type identifying the record to update (A, AAAA, CNAME, MX, NS, SRV, TXT)

Request

This endpoint expects an object.
namestringRequired

Hostname for the record. Use @ for the zone apex.

typeenumRequired
Record type
contentstringRequired

Record value (IP address, hostname, text, etc.)

ttldoubleOptional60-86400Defaults to 14400

Time to live in seconds (60–86400)

priorityintegerOptional>=0

Priority (required for MX and SRV records)

weightintegerOptional>=0

Weight (required for SRV records)

portintegerOptional1-65535

Port (required for SRV records)

Response

Record updated
namestring
Record hostname
typestring
Record type
ttldouble
Time to live in seconds
contentstring
Record value
priorityintegerOptional

Priority (MX and SRV records only)

weightintegerOptional

Weight (SRV records only)

portintegerOptional

Port (SRV records only)

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error